# if we disable buildgnomeprint we must disable gtksourceview too, as gtksourceview
# pulls gnomeprintui
%define buildgnomeprint 1
%{?_without_buildgnomeprint: %global buildgnomeprint 0}
%{?_with_buildgnomeprint: %global buildgnomeprint 1}

%define build_evince 0
%{?_without_build_evince: %global build_evince 0}
%{?_with_build_evince: %global build_evince 1}

%define build_brasero 0
%{?_without_build_brasero: %global build_brasero 0}
%{?_with_build_brasero: %global build_brasero 1}

%define build_evolution 0
%{?_without_build_evolution: %global build_evolution 0}
%{?_with_build_evolution: %global build_evolution 1}

# Metacity 3.x.x and newer is not compatible
%define build_metacity 0
%{?_without_build_metacity: %global build_metacity 0}
%{?_with_build_metacity: %global build_metacity 1}

%define pygtk 2.10.3
%define gnomepython 2.10.0
%define oname gnome-python

Summary: GNOME Desktop bindings for Python
Name: gnome-python-desktop
Version: 2.32.0
Release: %mkrel 7
Source: https://download.gnome.org/sources/%name/%name-%{version}.tar.bz2
#gw link plparser wrapper with gtk until it was update for 2.29
Patch1: gnome-python-desktop-2.29.1-totem-plparser-add-gtk.patch
#pt From Fedora, fix build with Metacity 2.34.2
Patch2: gnome-python-desktop-2.32.0-metacity-build.patch
Patch3: gnome-python-desktop-2.32.0-automake-1.13.patch
URL: https://download.gnome.org/sources/gnome-python-desktop/
License: LGPLv2+ and GPLv2+
Group: Development/GNOME and GTK+
BuildRequires: pkgconfig(pygtk-2.0) >= %pygtk
BuildRequires: pkgconfig(gnome-python-2.0) >= %gnomepython
BuildRequires: gnome-python-gconf >= %gnomepython
BuildRequires: pkgconfig(python) >= 2.2
BuildRequires: pkgconfig(libgnomeui-2.0) >= 2.0.0
%if %{buildgnomeprint}
BuildRequires: pkgconfig(gtksourceview-1.0) >= 1.1.90
%endif
%if %{build_evolution}
BuildRequires: evolution-data-server-devel
%endif
BuildRequires: pkgconfig(libwnck-1.0) >= 2.19.3
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(gnome-keyring-1) >= 0.5.0
BuildRequires: pkgconfig(gnome-desktop-3.0)
BuildRequires: libgcrypt-devel
#BuildRequires: bug-buddy
BuildRequires: pkgconfig(libcanberra)
BuildRequires: x11-server-xvfb
BuildRequires: pkgconfig(gnutls)
BuildRequires: pkgconfig(libproxy-1.0)
BuildRequires: pkgconfig(libcanberra-gtk)
Requires: gnome-python >= %gnomepython


%description
The gnome-python-desktop package contains the Python bindings for the
GNOME Desktop modules.

%if %{build_evolution}
%package -n %oname-evolution
Version: %{version}
Summary: Python bindings for Evolution
Group: Development/GNOME and GTK+
Requires: %name = %version

%description -n %oname-evolution
This module contains a wrapper that allows Evolution extensions to be
written in Python.
%endif

%if %{buildgnomeprint}
%package -n %oname-gtksourceview
Version: %{version}
Summary: Python bindings for Gtksourceview
Group: Development/GNOME and GTK+
Requires: %oname-gnomeprint = %version

%description -n %oname-gtksourceview
This module contains a wrapper that makes Gtksourceview available from Python.
%endif

%package -n %oname-gtop
Version: %{version}
Summary: Python bindings for Gtop
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: pkgconfig(libgtop-2.0) >= 2.13

%description -n %oname-gtop
This module contains a wrapper that makes Gtop available from Python.

%if %{build_brasero}
%package -n %oname-brasero
Version: %{version}
Summary: Python bindings for Brasero
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: brasero-devel

%description -n %oname-brasero
This module contains a wrapper that makes Brasero available from Python.
%endif

%package -n %oname-mediaprofiles
Version: %{version}
Summary: Python bindings for the GNOME media profiles
Group: Development/GNOME and GTK+
Requires: %name = %version
Requires: gnome-python-gconf >= %gnomepython
#BuildRequires: libcddb-slave2-devel

%description -n %oname-mediaprofiles
This module contains a wrapper that makes the GNOME media profiles library
available from Python.

%if %{build_metacity}
%package -n %oname-metacity
Version: %{version}
Summary: Python bindings for the Metacity window manager
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: pkgconfig(libmetacity-private) >= 2.17.8

%description -n %oname-metacity
This module contains a wrapper that makes the Metacity window manager library
available from Python.
%endif

%if %{buildgnomeprint}
%package -n %oname-gnomeprint
Summary: Python bindings for interacting with gnomeprint and gnomeprintui
Group: Development/GNOME and GTK+
BuildRequires: pkgconfig(libgnomeprintui-2.2) >= 2.8.0

%description -n %oname-gnomeprint
This module contains a wrapper that allows the use of gnomeprint and
gnomeprintui via python.
%endif

%if %{build_evince}
%package -n %oname-evince
Version: %{version}
Summary: Python bindings for the Evince document viewer
Group: Development/GNOME and GTK+
Requires: %name = %version
Obsoletes: python-evince
BuildRequires: libevince-devel >= 2.31.90

%description -n %oname-evince
This module contains a wrapper that makes the Evince document viewer library
available from Python.
%endif

%package -n %oname-gnomekeyring
Summary: Python bindings for interacting with gnome-keyring
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}
Requires: gnome-keyring >= 0.5.0

%description -n %oname-gnomekeyring
This module contains a wrapper that allows the use of gnome-keyring via Python.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x  \
    --disable-applet \
    --disable-gnomedesktop \
%if %{build_metacity}
    --enable-metacity  \
%else
    --disable-metacity \
%endif
%if %{build_brasero}
    --enable-brasero \
%else
    --disable-brasero \
%endif
%if %{build_evolution}
    --enable-evolution \
    --enable-evolution_ecal
%else
    --disable-evolution \
    --disable-evolution_ecal
%endif
    
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog
%doc examples/rsvg examples/keyring* examples/wnck*
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%{_libdir}/pkgconfig/%name-2.0.pc
%{py_platsitedir}/gtk-2.0/wnck.so
%{py_platsitedir}/gtk-2.0/rsvg.so
%{py_platsitedir}/gtk-2.0/bugbuddy*

%if %{build_evolution}
%files -n %oname-evolution
%{py_platsitedir}/gtk-2.0/evolution
%endif

%if %{buildgnomeprint}
%files -n %oname-gtksourceview
%{py_platsitedir}/gtk-2.0/gtksourceview.so
%doc %{_datadir}/gtk-doc/html/pygtksourceview
%endif

%files -n %oname-gtop

%{py_platsitedir}/gtk-2.0/gtop.so

%if %{build_brasero}
%files -n %oname-brasero
%doc examples/brasero*
%{py_platsitedir}/gtk-2.0/braseroburn.so
%{py_platsitedir}/gtk-2.0/braseromedia.so
%doc examples/braseromedia
%endif


%if %{build_metacity}
%files -n %oname-metacity
%{py_platsitedir}/gtk-2.0/metacity.so
%endif

%if %{buildgnomeprint}
%files -n %oname-gnomeprint
%{py_platsitedir}/gtk-2.0/gnomeprint/
%{_datadir}/gtk-doc/html/pygnomeprint*
%endif

%if %{build_evince}
%files -n %oname-evince
%{py_platsitedir}/gtk-2.0/evince.so
%endif

%files -n %{oname}-gnomekeyring
%{python_sitearch}/gtk-2.0/gnomekeyring.so



%changelog
* Mon Jul 23 2018 adrianomorselli <adrianomorselli> 2.32.0-7uplos2018
- rebuild
